Opened 3 years ago

Closed 3 years ago

#9998 closed bug (invalid)

GHC binary package seems to be corrupt

Reported by: mark_christiaens Owned by:
Priority: normal Milestone:
Component: Package system Version: 7.8.4
Keywords: Cc:
Operating System: Linux Architecture: x86_64 (amd64)
Type of failure: Installing GHC failed Test Case:
Blocked By: Blocking:
Related Tickets: Differential Rev(s):
Wiki Page:

Description

Installed https://www.haskell.org/ghc/dist/7.8.4/ghc-7.8.4-x86_64-unknown-linux-deb7.tar.bz2

Did ghc-pkg check

Got:

ghc-pkg check There are problems in package haskell-src-exts-1.16.0.1:

Warning: library-dirs: /home/developer/.cabal/lib/x86_64-linux-ghc-7.8.4/haskell-src-exts-1.16.0.1 doesn't exist or isn't a directory Warning: haddock-interfaces: /home/developer/.cabal/share/doc/x86_64-linux-ghc-7.8.4/haskell-src-exts-1.16.0.1/html/haskell-src-exts.haddock doesn't exist or isn't a file Warning: haddock-html: /home/developer/.cabal/share/doc/x86_64-linux-ghc-7.8.4/haskell-src-exts-1.16.0.1/html doesn't exist or isn't a directory import-dirs: /home/developer/.cabal/lib/x86_64-linux-ghc-7.8.4/haskell-src-exts-1.16.0.1 doesn't exist or isn't a directory cannot find any of ["Language/Haskell/Exts.hi","Language/Haskell/Exts.p_hi","Language/Haskell/Exts.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Lexer.hi","Language/Haskell/Exts/Lexer.p_hi","Language/Haskell/Exts/Lexer.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Parser.hi","Language/Haskell/Exts/Parser.p_hi","Language/Haskell/Exts/Parser.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Pretty.hi","Language/Haskell/Exts/Pretty.p_hi","Language/Haskell/Exts/Pretty.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Syntax.hi","Language/Haskell/Exts/Syntax.p_hi","Language/Haskell/Exts/Syntax.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Extension.hi","Language/Haskell/Exts/Extension.p_hi","Language/Haskell/Exts/Extension.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Build.hi","Language/Haskell/Exts/Build.p_hi","Language/Haskell/Exts/Build.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Fixity.hi","Language/Haskell/Exts/Fixity.p_hi","Language/Haskell/Exts/Fixity.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Comments.hi","Language/Haskell/Exts/Comments.p_hi","Language/Haskell/Exts/Comments.dyn_hi"] cannot find any of ["Language/Haskell/Exts/SrcLoc.hi","Language/Haskell/Exts/SrcLoc.p_hi","Language/Haskell/Exts/SrcLoc.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Annotated.hi","Language/Haskell/Exts/Annotated.p_hi","Language/Haskell/Exts/Annotated.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Annotated/Syntax.hi","Language/Haskell/Exts/Annotated/Syntax.p_hi","Language/Haskell/Exts/Annotated/Syntax.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Annotated/Fixity.hi","Language/Haskell/Exts/Annotated/Fixity.p_hi","Language/Haskell/Exts/Annotated/Fixity.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Annotated/Build.hi","Language/Haskell/Exts/Annotated/Build.p_hi","Language/Haskell/Exts/Annotated/Build.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Annotated/ExactPrint.hi","Language/Haskell/Exts/Annotated/ExactPrint.p_hi","Language/Haskell/Exts/Annotated/ExactPrint.dyn_hi"] cannot find any of ["Language/Haskell/Exts/Annotated/Simplify.hi","Language/Haskell/Exts/Annotated/Simplify.p_hi","Language/Haskell/Exts/Annotated/Simplify.dyn_hi"] cannot find any of ["Language/Haskell/Exts/ExtScheme.hi","Language/Haskell/Exts/ExtScheme.p_hi","Language/Haskell/Exts/ExtScheme.dyn_hi"] cannot find any of ["Language/Haskell/Exts/ParseMonad.hi","Language/Haskell/Exts/ParseMonad.p_hi","Language/Haskell/Exts/ParseMonad.dyn_hi"] cannot find any of ["Language/Haskell/Exts/ParseSyntax.hi","Language/Haskell/Exts/ParseSyntax.p_hi","Language/Haskell/Exts/ParseSyntax.dyn_hi"] cannot find any of ["Language/Haskell/Exts/InternalLexer.hi","Language/Haskell/Exts/InternalLexer.p_hi","Language/Haskell/Exts/InternalLexer.dyn_hi"] cannot find any of ["Language/Haskell/Exts/ParseUtils.hi","Language/Haskell/Exts/ParseUtils.p_hi","Language/Haskell/Exts/ParseUtils.dyn_hi"] cannot find any of ["Language/Haskell/Exts/InternalParser.hi","Language/Haskell/Exts/InternalParser.p_hi","Language/Haskell/Exts/InternalParser.dyn_hi"] cannot find any of ["libHShaskell-src-exts-1.16.0.1.a","libHShaskell-src-exts-1.16.0.1.p_a","libHShaskell-src-exts-1.16.0.1-ghc7.8.4.so","libHShaskell-src-exts-1.16.0.1-ghc7.8.4.dylib","HShaskell-src-exts-1.16.0.1-ghc7.8.4.dll"] on library path

There are problems in package aeson-0.8.0.2:

Warning: library-dirs: /home/developer/.cabal/lib/x86_64-linux-ghc-7.8.4/aeson-0.8.0.2 doesn't exist or isn't a directory

...

Change History (1)

comment:1 Changed 3 years ago by mark_christiaens

Resolution: invalid
Status: newclosed

Was a case of file system corruption. Closing.

Note: See TracTickets for help on using tickets.